#ifndef SKELETONFILE_H
#define SKELETONFILE_H

#include <qwidget.h>
#include "loadParams.h"
#include "QtInterface.h"

 
class skeletonFile : public QGLWidget
{
  Q_OBJECT

 public:
  skeletonFile(QWidget *parent, const char *name);
  ~skeletonFile();
    
public slots:
  void setXRotation(int degrees);
  void setYRotation(int degrees);
  void setZRotation(int degrees);
  

 private:
  vector<point> vpt;
  vector<connectLines> vcL;
  vector<float> vMaxDis;
  vector<SbMatrix> vecmat;
  vector<jointGeometry> vGeom;
  FILE * tskelFile;
  unsigned char* vol;
  GLfloat modelview[16];

 public:
  //Constructor - starts
  skeletonFile() {}
  //Constructor - Ends
  
  //Access operators
  vector<point> getpointList() { return vpt; }
  vector<connectLines> getlineList() { return vcL; }
  vector<float> getMaxDisList() { return vMaxDis; }
  vector<SbMatrix> getTransformationList() { return vecmat; }
  void SetSkeleton();
  void cleanSkel(void);

  //other methods
   
 protected:
  // void SetSkeleton();
  void initializeGL(void);   
  void paintGL(void);
  void renderCuboids(void);
  void renderJointSpheres(bool, float);
  void defineJointGeometry(void);
  void renderJointGeometry(void);

};



#endif

